# std::allocator<T>::address

From cppreference.com
< cpp‎ | memory‎ | allocator

pointer address( reference x ) const; |  | (deprecated in C++17) (removed in C++20)
const_pointer address( const_reference x ) const; |  | (deprecated in C++17) (removed in C++20)

Returns the actual address of `x` even in presence of overloaded operator&.

### Parameters

x | - | the object to acquire address of

### Return value

The actual address of `x`.

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/memory/allocator/address&oldid=102497"